Service Account
POST
/service_accounts/{id}/roll_publishable_keyRoll Publishable Key
Rotate the service account's publishable key. No body. Requires AAL2. In live mode this also requires the application to be KYB verified.
Request
Example
curl -X POST 'https://api.paycose.com/api/v1/app1/platform/wallet/service_accounts/{{id}}/roll_publishable_key' \
-H 'X-Session-Token: {{session_token}}' \
-H 'X-Country: {{country}}'Headers
| Name | Value |
|---|---|
| X-Session-Token | {{session_token}} |
| X-Country | {{country}} |
Responses
400400 Bad Request
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
Body
{
"object": "error",
"code": "<string>",
"key": "<string>",
"i18n_key": "<string>",
"message": "<string>",
"request_id": "<string>"
}500500 Internal Server Error
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
Body
{
"object": "error",
"code": "<string>",
"key": "<string>",
"i18n_key": "<string>",
"message": "<string>",
"request_id": "<string>"
}